# -*- coding: utf-8 -*-
#   Revenue Recognition for OpenERP
#   Copyright 2011 Canonical Ltd.
#
#   This program is free software: you can redistribute it and/or modify it 
#   under the terms of the GNU Affero Public License version 3, as published 
#   by the Free Software Foundation.
#
#   This program is distributed in the hope that it will be useful, but 
#   WITHOUT ANY WARRANTY; without even the implied warranties of 
#   MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
#   PURPOSE.  See the GNU Affero Public License for more details.
#
#   You should have received a copy of the GNU Affero Public License along 
#   with this program.  If not, see <http://www.gnu.org/licenses/>.
#
{
    'name'      : 'Revenue Recognition for Periodic Contracts',
    'version'   : '1.0',
    'category'  : 'Generic Modules/Accounting',
    'description': """
    Periodic contracts, such as support contracts, are mostly paid with the full value up-front. 
    However, the revenue cannot be recognised immediately, but needs to be recognised as the work
    is done. In practice, this means that a portion of the income needs to be recognised each
    month over the length of the contract.

    This module allows an invoice line to be marked as an item that needs revenue recognition, 
    allowing the entry of the start and end dates of the contract. When the invoice is posted
    the schedule of transactions is generated. The OpenERP scheduler then runs on a daily basis
    and converts the schedule records into account move entries on the effective date. This ensures
    that the revenue is recognised at the correct time.
    """,
    'author'    : 'Canonical Group Ltd',
    'website'   : 'http://www.canonical.com',
    'depends'   : ['account'],
    'init_xml'  : [],
    'update_xml': ['view/invoice.xml',
                   'security/ir.model.access.csv',
                   'data/revenue_recognition.xml'],
    'demo_xml'  : [],
    'installable': True,
    'active': False,
    #'certificate': '',
}

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
